#### D.15.2.9 terms

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  terms(f); poly f

Return:
  a list of the terms of f

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = 2*x^9+5*x^2*y^4+10*y^2*x^4+11*y^8+x^3*y^5+21*y^2*x^5;
    terms(f);
    ==> [1]:
    ==>    10x4y2
    ==> [2]:
    ==>    5x2y4
    ==> [3]:
    ==>    21x5y2
    ==> [4]:
    ==>    x3y5
    ==> [5]:
    ==>    11y8
    ==> [6]:
    ==>    2x9

User manual for Singular version 4.4.1, 2025, generated by texi2html.